%global momorel 16

Summary: A version of the MIT Athena widget set for X.
Name: Xaw3d

Version: 1.5
Release: %{momorel}m
Group: System Environment/Libraries
License: MIT/X
URL: ftp://ftp.x.org/contrib/widgets/Xaw3d/

%NoSource 0 ftp://ftp.xfree86.org/pub/mirror/X.Org/contrib/widgets/Xaw3d/R6.3/Xaw3d-%{version}.tar.gz a77aa4ebe3be7964e4dbbc351e48277f

Patch: Xaw3d-1.1-shlib.patch
# Patch1: Xaw3d-1.3-glibc.patch
# Patch2: Xaw3d-1.3-X11R6.3.patch
# Patch3: Xaw3d-1.3-multibyte.patch
# Patch4: Xaw3d-1.5-color.patch
Patch5: Xaw3d-1.5-fix.patch
Patch6: Xaw3d-1.3-static.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(build): XFree86-devel

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.
#'

%package devel
Summary: Header files and static libraries for development using Xaw3d.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): fileutils

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

%prep
%setup -q -c
cd xc/lib/Xaw3d
%patch -p0
%__ln_s .. X11

#%%patch1 -p4
#%%patch2 -p3
#%%patch3 -p3
#%%patch4 -p3
%patch5 -p3
%patch6 -p0

%build
cd xc/lib/Xaw3d
export PATH=/usr/X11R6/bin:$PATH
xmkmf
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
cd xc/lib/Xaw3d
make install DESTDIR=%{buildroot}
%__mkdir_p %{buildroot}/usr/X11R6/include/X11

#ln -sf ../Xaw3d %{buildroot}/usr/X11R6/include/X11/Xaw3d

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
if [ ! -d /usr/X11R6/include/X11/Xaw3d ] ; then
  %__rm -f /usr/X11R6/include/X11/Xaw3d
  %__ln_s -f ../Xaw3d /usr/X11R6/include/X11
fi

%triggerpostun -- Xaw3d-devel < 1.3-17
%__rm -rf /usr/X11R6/include/X11/Xaw3d
%__ln_s -f ../Xaw3d /usr/X11R6/include/X11

%files
%defattr(-,root,root)
%{_prefix}/X11R6/lib/*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/X11R6/lib/*.a
%{_prefix}/X11R6/lib/*.so
%{_prefix}/X11R6/include/X11/Xaw3d

%ChangeLog
* Sun May 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5-16m)
- change URI

* Wed Nov 05 2003 Kenta MURATA <muraken2@nifty.com>
- (1.5-15m)
- pretty spec file.

* Fri Oct 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-15m)
- change License: MIT to MIT/X
- comment out Prefix:
- comment out unused patches  

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.5-14k)
- omit /sbin/ldconfig in PreReq.

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.5-12k)
- ftp.x.org can't resolve.
  Source0 URL was changed.

* Fri Dec 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-10k)
- suman... arutu tteta sitano yatsu

* Fri Sep 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-8k)
- remove Xaw3d-1.5-color.patch because unstable on Alpha

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (1.5-6k)
- no more ifarch alpha.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Apr 13 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- Ver 1.5

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Oct 30 1999 Norihito Ohmori <nono@kondara.org>
- rebuild for kondara.

* Tue Oct 12 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp> 
- (Vine)added a patch for multibyte character code bugs. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
